#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: tasty-rerun
version: 1.1.12
id: tasty-rerun-1.1.12-24IfNELe6jMK5rax9hRIIW
key: tasty-rerun-1.1.12-24IfNELe6jMK5rax9hRIIW
license: BSD-3-Clause
copyright: Oliver Charles (c) 2014
maintainer: ollie@ocharles.org.uk
author: Oliver Charles
homepage: http://github.com/ocharles/tasty-rerun
synopsis: Run tests by filtering the test tree depending on the result of previous test
          runs
description:
    This ingredient adds the ability to run tests by first filtering the test tree
    based on the result of a previous test run. For example, you can use this to
    run only those tests that failed in the last run, or to run only tests that
    have been added since tests were last ran.
    .
    This ingredient is specifically an ingredient *transformer* - given a list of
    '\''Tasty.Ingredient'\''s, '\''rerunningTests'\'' adds the ability for all of these
    ingredients to run against a filtered test tree. This transformer can be
    applied as follows:
    .
    > import Test.Tasty
    > import Test.Tasty.Runners
    >
    > main :: IO ()
    > main =
    >   defaultMainWithIngredients
    >     [ rerunningTests [ listingTests, consoleTestReporter ] ]
    >     tests
    >
    > tests :: TestTree
    > tests = undefined
    .
    This ingredient adds three command line parameters:
    .
    [@--rerun-update@] If specified the results of this test run will be saved to
    the log file at @--rerun-log-file@. If the ingredient does not execute tests
    (for example, @--list-tests@ is used) then the log file will not be
    updated. This option is not enabled by default.  This option does not require
    a value.
    .
    [@--rerun-log-file@] The path to the log file to read previous test
    information from, and where to write new information to (if @--rerun-update@
    is specified). This option defaults to @.tasty-rerun-log@.
    .
    [@--rerun-filter@] Which filters to apply to the '\''Tasty.TestTree'\'' based on
    previous test runs. The value of this option is a comma separated list of the
    following options:
    .
    * @failures@: Only run tests that failed on the previous run.
    .
    * @exceptions@: Only run tests that threw an exception on the previous run.
    .
    * @new@: Only run tests that are new since the previous test run.
    .
    * @successful@: Only run tests that were successful in the previous run.
    .
    Multiple options can be combined and will be taken under disjunction - so
    @--rerun-filter=failures,exceptions@ will run only tests that failed *or*
    threw an exception on the last run.
    .
    Defaults to all filters, which means all tests will be ran.
category: Testing
abi: 03914f2d4e4cbb30446e020093e97e45
exposed: True
exposed-modules:
    Test.Tasty.Ingredients.Rerun
import-dirs: /usr/lib/ghc-8.4.2/site-local/tasty-rerun-1.1.12
library-dirs: /usr/lib/ghc-8.4.2/site-local/tasty-rerun-1.1.12
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/tasty-rerun-1.1.12
hs-libraries: HStasty-rerun-1.1.12-24IfNELe6jMK5rax9hRIIW
depends:
    base-4.11.1.0 containers-0.5.11.0 mtl-2.2.2
    optparse-applicative-0.14.2.0-62exsxKF348IVCVPqReofC
    reducers-3.12.2-D6D4hY60vZvByNoalm3e7R
    split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6 stm-2.4.5.0
    tagged-0.8.5-8zhZJ4AR6AIK89q9NUJ4H
    tasty-1.0.1.1-KNpudiAfNfc2zYRlibk8t1 transformers-0.5.5.0
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             optparse-applicative-0.14.2.0-62exsxKF348IVCVPqReofC=2081310a648400eda979d50e9a2f1447
             reducers-3.12.2-D6D4hY60vZvByNoalm3e7R=368fb1ccdc515339ef8bcb30e5a426fd
             split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6=552edb5fe3e96de6d9599ba4b8c78476
             stm-2.4.5.0=fc4e40e3aa6203460dfa01934bcd44f0
             tagged-0.8.5-8zhZJ4AR6AIK89q9NUJ4H=9cfccdbb0f679fbc0a04182b333a8da7
             tasty-1.0.1.1-KNpudiAfNfc2zYRlibk8t1=8a98022b7d72c49afdf834f0c21fef4e
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
haddock-interfaces: /usr/share/doc/haskell-tasty-rerun/html/tasty-rerun.haddock
haddock-html: /usr/share/doc/haskell-tasty-rerun/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

